flibrary ReadImagesMacs <compile_subs=0> {
	macro ReadImagesUI{
   	UImod_panel UImod_panelReadImages{
      	title => "Read Images";
      	option {
         	set = 1;
      	};
   	};

		LBL_PROJ.ReadImages.ReadImagesMods.ReadImagesParams
			&ReadImagesParams<NEportLevels={2,1}>;
		
		LBL_PROJ.ReadImages.ReadImagesMods.LoopParams
			&LoopParams<NEportLevels={2,1}>;

		macro FileFrame <NEportLevels={2,1}> {
   	UIframe UIframe <NEportLevels={3,1}>{
      	y = 0;
      	width => <-.<-.UImod_panelReadImages.width;
      	height<NEdisplayMode="open"> = 250;
      	parent => <-.<-.UImod_panelReadImages;
   	};
   	UIlabel UIlabelFilesToRead {
      	y = 0;
      	width => <-.UIframe.width;
      	parent => <-.UIframe;
      	label => "Files to Read";
      	alignment = "center";
   	};
   	UItext UItextFileFormat {
      	y => (<-.UIlabelFileFormat.y + 30);
      	width = 200;
      	parent => <-.UIframe;
			text => <-.<-.ReadImagesParams.FileFormat;
   	};
   	UIlabel UIlabelFileFormat {
      	y = 30;
      	height => UIdata.UIfonts[0].lineHeight;
      	parent => <-.UIframe;
      	label => "File Format";
      	alignment = "left";
   	};
   	UIlabel UIlabelStartImage<NEportLevels={0,0}> {
      	y = 100;
      	parent => <-.UIframe;
      	label => "Start image";
      	alignment = "left";
   	};
   	UIfield UIfieldStartImage {
      	x = 100;
      	y = 100;
      	height<NEdisplayMode="open">;
      	parent => <-.UIframe;
      	value<NEportLevels={2,2}> => <-.<-.ReadImagesParams.StartImage;
   	};
   	UIlabel UIlabelEndImage {
      	y = 130;
      	parent => <-.UIframe;
      	label => "End Image";
      	alignment = "left";
   	};
   	UIfield UIfieldEndImage {
      	x = 100;
      	y = 130;
      	parent => <-.UIframe;
      	value<NEportLevels={2,2}> => <-.<-.ReadImagesParams.EndImage;
   	};
   	UIlabel UIlabelStep {
      	parent => <-.UIframe;
      	label => "Step";
      	y = 160;
      	alignment = "left";
   	};
   	UIfield UIfieldStep {
      	parent => <-.UIframe;
      	y = 160;
      	x = 100;
      	value<NEportLevels={2,2}> => <-.<-.ReadImagesParams.Step;
   	};
		};
		macro Control <NEportLevels={2,1}>{
		UIframe UIframe <NEportLevels={3,1}>{
			parent => <-.<-.UImod_panelReadImages;
			y = 250;
			width => <-.<-.UImod_panelReadImages.width;
			height<NEdisplayMode="open"> = 150;
		};

		UItoggle UItoggleRun {
			parent => <-.UIframe;
			y = 30;
			label = "run";
			set => <-.<-.ReadImagesParams.Run;
		};

		};
	};

	macro ReadImages {
		LBL_PROJ.ReadImages.ReadImagesMods.ReadImagesParams ReadImagesParams<NEportLevels={0,1}>;

		LBL_PROJ.ReadImages.ReadImagesMods.LoopParams LoopParams<NEportLevels={0,1}>;
		ReadImagesUI ReadImagesUI {
			ReadImagesParams => <-.ReadImagesParams; 
			LoopParams => <-.LoopParams;
		};

		LBL_PROJ.ReadImages.ReadImagesMods.ReadImages ReadImages {
			ReadImagesParams => <-.ReadImagesParams; 
			LoopParams => <-.LoopParams; 
		};
		ReadImagesParams.Run = 0;
		link out<NEportLevels={1,2}> => ReadImages.image;


	};
	

};
