flibrary ReadImagesMods <cxx_name=""> {

	group ReadImagesParams <NEportLevels={0,1}> {
  		string FileFormat<NEportLevels={2,2}>;
   	int StartImage<NEportLevels={2,2}>;
   	int EndImage<NEportLevels={2,2}>;
   	int Step<NEportLevels={2,2}>;
		boolean Run<NEportLevels={2,2}>;
	};
	group LoopParams<NEportLevels={0,1}> {
		boolean reset<NEportLevels={2,2}> = 0;
		boolean cycle<NEportLevels={2,2}> = 0;
	};
	module ReadImages {
		ReadImagesParams &ReadImagesParams<NEportLevels={2,1}>;
		LoopParams &LoopParams<NEportLevels={2,1}>;
		GMOD.loop FileLoop {
			reset<NEportLevels={0,0}> => <-.LoopParams.reset;
			run<NEportLevels={0,0}> => <-.ReadImagesParams.Run;
			cycle<NEportLevels={0,0}> => <-.LoopParams.cycle;
			start_val<NEportLevels={0,0}> => <-.ReadImagesParams.StartImage;
			end_val<NEportLevels={0,0}> => <-.ReadImagesParams.EndImage;
			incr<NEportLevels={0,0}> => <-.ReadImagesParams.Step;
		};
		string format => ReadImagesParams.FileFormat;
		double number => switch( (ReadImagesParams.Run + 1), ReadImagesParams.StartImage, FileLoop.count);
		string filename => str_format(.format, .number);
   	DVread_image DVread_image{
      	filename<NEportLevels={3,0},NEdisplayMode="open"> => <-.filename ;
      	flip<NEportLevels={3,0}> = 0;
   	};
   	GDM.DataObject DataObject{
      	in => <-.DVread_image.out;
   	};
   	link image<NEportLevels={1,2}> => .DataObject.obj;
	};


};

